
Redmine - Defect #12729

Closed projects are missing plugin tabs

2013-01-04 05:18 - Dinu Marina

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.2.0

Description

When a project is closed, certain plugin tabs are missing (eg. DMSF). Is this something fixable in Redmine or in the plugins?

History

#1 - 2013-01-04 09:15 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

In the plugins.

#2 - 2013-01-29 00:56 - Dinu Marina

Could you point to the way this happens? I'm looking for a quick fix, my guess (so far) is that there's something broken in the permissions handling?

How does the closed property manifest onto a plugin that is completely unaware of it?

#3 - 2013-01-29 01:55 - Dinu Marina

I'll just update this for other people interested:

As stated in documentation for function permission in lib/redmine/plugin.rb:

:read => set it to true so that the permission is still granted on closed projects

 So for permissions to be available for closed projects, you need to rewrite permission lines as follows:

    permission :view_dmsf_folders, {:dmsf => [:show], :dmsf_folders_copy => [:new, :copy_to, :move_to]}, :read

 => true

(Example for DMSF)
